Bug 230578 - audio/py-eyed3: Update to 0.8.7
Summary: audio/py-eyed3: Update to 0.8.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL: https://github.com/nicfit/eyeD3/blob/...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-13 01:27 UTC by Nathan
Modified: 2019-12-14 18:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments
Update (2.16 KB, patch)
2018-08-13 01:27 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-13 01:27:40 UTC
Created attachment 196144 [details]
Update

audio/py-eyed3: Update to 0.8.7:
  
* Updated License
  -- LICENSE file states it's GPL3 now
* Added needed RunDeps
  -- Added each one after trying with least amount of deps
     as possible
* Program runs fine without post-patch
  -- Removed


Portlint -AC: looks fine

Poudriere(amd64): 11.2-R, 10.4-R: built/ran fine
Poudriere(mips): 11.2R: Built/ran fine
Poudriere(armv6): 11.2R: Built/ran fine
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2018-09-02 10:52:50 UTC
Nathan, I'll asked maintainers of audio/abcde and audio/py-gmusicproxy to check if their ports still work with eyed3 0.8.x. Lets wait what they say.
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2018-09-02 10:53:20 UTC
s/I'll/I've
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-13 09:11:33 UTC
(In reply to Ruslan Makhmatkhanov from comment #1)
No reply from the maintainers of audio/abcde and audio/py-gmusicproxy ?
Comment 4 commit-hook freebsd_committer 2019-12-14 18:50:42 UTC
A commit references this bug:

Author: rm
Date: Sat Dec 14 18:49:40 UTC 2019
New revision: 520137
URL: https://svnweb.freebsd.org/changeset/ports/520137

Log:
  audio/py-eyed3: update to 0.8.11

  Update to latest version, that supports python3.
  0.8.x branch is not fully API compatible, so it may break
  dependent ports. Maintainers of these ports were notified
  of the update more than year ago.

  PR:		230578
  Submitted by:	Nathan <ndowens04@gmail.com> (based on)

Changes:
  head/audio/py-eyed3/Makefile
  head/audio/py-eyed3/distinfo
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2019-12-14 18:55:13 UTC
Committed, thank you! 

Nathan, your patch was updated to 0.8.11 and pylast dependency was removed, because it is only required for single plugin and not listed in minimal required deps in eyed3 tarball. It is also requires python >= 3.5, so making it default dependency will make it impossible to have eyed3 package for python2.7.